#include <iostream>
#include "Koordinate.h"
#include <cmath>

using namespace std;

Koordinate::Koordinate(){
	x = 0;
	y = 0;
	z = 0;
}

Koordinate::Koordinate(double a, double b, double c){
	x = a;
	y = b;
	z = c;
}

Koordinate::~Koordinate(){
}

double Koordinate::X(){
	return x;
}

double Koordinate::Y(){
	return y;
}

double Koordinate::Z(){
	return z;
}

bool Koordinate::operator<(Koordinate& k){
	return sqrt(pow(x,2)+pow(y,2)+pow(z,2)) < sqrt(pow(k.X(),2)+pow(k.Y(),2)+pow(k.Z(),2));
}

Koordinate Koordinate::operator+(Koordinate k){
	return Koordinate(x+k.X(), y + k.Y(), z+k.Z());
}

//redefinisemo operator deljenja celim brojem jer nam treba za racunanje proseka
Koordinate Koordinate::operator/(int n){
	return Koordinate(x/n, y/n, z/n);
}

//operator za pisanje na prosledejeni tok podataka
ostream& operator<<(ostream& out, Koordinate& k){
	out<<"("<<k.x<<", "<<k.y<<", "<<k.z<<")";
	return out;
}

//redefinisemo operator za ucitavanje sa prosledjenog toka podataka
istream& operator>>(istream& in, Koordinate& k){
	in>>k.x; //nece pozivom metode koja vraca x..
	in>>k.y;
	in>>k.z;
	return in;
}
