#pragma once
#include <iostream>

using namespace std;

class Koordinate{
	
	private:
		double x;
		double y;
		double z;
	
	public:
		Koordinate();
		Koordinate(double, double, double);
		~Koordinate();
		double X();
		double Y();
		double Z();
		bool operator<(Koordinate& k);
		Koordinate operator+(Koordinate s);
		//deljenje celim brojem nam treba zbog proseka
		Koordinate operator/(int n);
		//http://www.cplusplus.com/doc/tutorial/inheritance/ - pogledati deo sa friend functions
		friend ostream& operator<<(ostream& out, Koordinate& k);
		friend istream& operator>>(istream& in, Koordinate& k);

};
