#pragma once
#include <iostream>

using namespace std;

template <class T>
class Niz{
	private:
		int n;
		T* niz;
	public:
		Niz(int _n){
			n = _n;
			niz = new T[n];
		}
		
		~Niz(){
			delete []niz;
			cout<<"Unistenje"<<endl;
		}
		
		// kada koristimo sablon klase ne treba svaku metodu zasebno da proglasamo za template
		void ucitaj(){
			for (int i = 0; i<n; i++){
				cout<<"Unesite "<<i+1<<". element niza"<<endl;
				cin>>niz[i];
			}
		}
		
		// implementacije mozemo zapisati i u .h datoteci
		void ispisi(){
			for (int i = 0; i<n; i++)
				cout<<i+1<<". "<<niz[i]<<endl;
		}
		
		T maksimalni(){		
			T max = niz[0];
			for (int i = 1; i<n; i++)
				if (max < niz[i])
					max = niz[i];
			return max;
		}
		
		T prosek(){
			T s = niz[0];
			for (int i =1; i<n; i++)
				s = niz[i] + s;
			return s/n;
		}
};
