#pragma once 
#include <string>
#include <iostream>

using namespace std;

class Osoba{
	private:
		string _ime;
		string _prezime;
		int _godinaRodjenja;
		string _jmbg;	
	public:
		Osoba(void);
		Osoba(string, string, int, string);
		~Osoba();
		string Ime();
		string Prezime();
		int GodinaRodjenja();
		string Jmbg();
		/*mogucnost redefinisanja operatora
		razlika u odnosu na Javu */
		bool operator <(Osoba &o);
		//pravimo nesto nalik toString metodi u Javi
		//povratna vrednost je referenca na izlazni tok (output stream)
		friend ostream& operator<<(ostream& out, Osoba &osoba);
		//suprotan smer - sa ulaznog toka se ucitava u referencu objekta koji je prosledjen
		friend istream& operator>>(istream& out, Osoba &osoba);
};
