#pragma once
#include <string>
#include <iostream>
using namespace std;

class Osoba{
	private:
		//postoji ugradjena klasa string
		// zamena za char[] u c-u
		string _ime;
		string _prezime;	
		int _godinaRodjenja;
		
	public:
		Osoba(); //podrazumevani konstruktor
		Osoba(string, string, int); 
		~Osoba(); // destruktor samo kada
				// smo eksplicitno koristili new u okviru klase
		string Ime();
		string Prezime();
		int GodinaRodjenja();
		bool operator<(Osoba& o);
		/*
		cout je jedan objekat tipa ostream
		ostream je tip koji oznacava izlazne tokove podataka
		povratna vrednost primene operatora << je ostream
		sto se vidi jer smo primenjivali  nesto ovog tipa:
		cout<<nesto1<<nesto2
		*/ 	
		friend ostream& operator<<(ostream& out, Osoba &o);
		friend istream& operator>>(istream& in, Osoba &o);  				
};
