#include <iostream>
#include "Koordinate.h"

using namespace std;

template<typename T> T* kreiraj(int n){
		return new T[n];
	}
	
template<typename T> void ucitaj(T* niz, int n){
	for (int i = 0; i<n; i++){
		cout<<"Unesite "<<i+1<<". element niza"<<endl;
		cin>>niz[i];
	}
}

template<typename T> void ispisi(T* niz, int n){
	for (int i = 0; i<n; i++)
		cout<<i+1<<". "<<niz[i]<<endl;
}

template<typename T> T maksimalni(T* niz, int n){
	T max = niz[0];
	for (int i = 1; i<n; i++)
		if (max < niz[i])
			max = niz[i];
	return max;
}

template<typename T> T prosek(T* niz, int n){
	T s=niz[0];
	for (int i =1; i<n; i++)
		s = niz[i] + s;
	return s/n;
}

template<typename T> void obrisi(T* niz){
	// ovo delete [] znaci da se pozove destruktor svakog elementa u nizu 
	delete [] niz;
}

int main(int argc, char** argv) {
	int n;
	int *nizInt;
	float *nizFloat;
	Koordinate *nizKoordinata;
	cout<<"Dimenzija niza: ";
	cin>>n;
	nizInt = kreiraj<int>(n);
	nizFloat = kreiraj<float>(n);
	nizKoordinata = kreiraj<Koordinate>(n);
	
	cout<<"Unesite cele brojeve:"<<endl;
	ucitaj(nizInt, n);
	cout<<"Unesite realne brojeve:"<<endl;
	ucitaj(nizFloat, n);
	cout<<"Unesite koordinate:"<<endl;
	ucitaj(nizKoordinata, n);
	
	cout<<"Celi brojevi:"<<endl;
	ispisi(nizInt, n);
	cout<<"Realni brojevi:"<<endl;
	ispisi(nizFloat, n);
	cout<<"Koordinate:"<<endl;
	ispisi(nizKoordinata, n);
	
	Koordinate maks = maksimalni(nizKoordinata, n);
	cout<<"Maksimalni element celih brojeva je: "<<maksimalni(nizInt, n)<<endl;
	cout<<"Maksimalni element realnih brojeva je: "<<maksimalni(nizFloat, n)<<endl;
	cout<<"Maksimalna koordinata je: "<<maks<<endl;
	//nece sa - cout<<"Maksimalna koordinata je: "<<maksimalni(nizKoordinata, n)<<endl;
	
	
	cout<<"Prosecni element celih brojeva je: "<<prosek(nizInt, n)<<endl;
	cout<<"Prosecni element realnih brojeva je: "<<prosek(nizFloat, n)<<endl;
	cout<<"Prosecna koordinata je: "<<prosek(nizKoordinata, n)<<endl;
	
	obrisi(nizInt);
	obrisi(nizFloat);
	obrisi(nizKoordinata);
	return 0;
}
