#include "Osoba.h"

Osoba::Osoba(void){
	_ime="";
	_prezime="";
	_jmbg="";
	_godinaRodjenja=0;
}

Osoba::Osoba(string ime, string prezime, int god, string jmbg){
	_ime=ime;
	_prezime=prezime;
	_jmbg=jmbg;
	_godinaRodjenja=god;
}

Osoba::~Osoba(){
	//nema zasada dinamickog sadrzaja pa nam ne treba
}

string Osoba::Ime(){
	return _ime;
}

string Osoba::Prezime(){
	return _prezime;
}

int Osoba::GodinaRodjenja(){
	return _godinaRodjenja;
}

string Osoba::Jmbg(){
	return _jmbg;
}

bool Osoba::operator<(Osoba &o1){
	return _godinaRodjenja-o1.GodinaRodjenja();
}

ostream& operator<<(ostream& out, Osoba &osoba){
	out<<osoba.Ime()<<" "<<osoba.Prezime()<<" "<<osoba.GodinaRodjenja();
	return out;
}

istream& operator>>(istream& in, Osoba &osoba){
	string ime, prezime, jmbg;
	int god;
	in>>ime>>prezime>>jmbg>>god;
	osoba._ime=ime;
	osoba._prezime=prezime;
	osoba._jmbg=jmbg;
	osoba._godinaRodjenja=god;
	return in;
}
